Cassandra.AsyncProcessor.describe_splits_ex (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.thrift

## Class Cassandra.AsyncProcessor.describe_splits_ex<I extends Cassandra.AsyncIface>

- java.lang.Object
- - org.apache.thrift.AsyncProcessFunction<I,Cassandra.describe_splits_ex_args,java.util.List<CfSplit>>
  - - org.apache.cassandra.thrift.Cassandra.AsyncProcessor.describe_splits_ex<I>

- Enclosing class:
    Cassandra.AsyncProcessor<I extends Cassandra.AsyncIface>

      public static class Cassandra.AsyncProcessor.describe_splits_ex<I extends Cassandra.AsyncIface>
      extends org.apache.thrift.AsyncProcessFunction<I,Cassandra.describe_splits_ex_args,java.util.List<CfSplit>>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `describe_splits_ex()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cassandra.describe_splits_ex_args` | `getEmptyArgsInstance()`
    `org.apache.thrift.async.AsyncMethodCallback<java.util.List<CfSplit>>` | `getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
    `protected boolean` | `isOneway()`
    `void` | `start(I iface, Cassandra.describe_splits_ex_args args, org.apache.thrift.async.AsyncMethodCallback<java.util.List<CfSplit>> resultHandler)`

    - ### Methods inherited from class org.apache.thrift.AsyncProcessFunction

      `getMethodName, sendResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### describe_splits_ex

          public describe_splits_ex()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public Cassandra.describe_splits_ex_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.describe_splits_ex_args,java.util.List<CfSplit>>`

    - #### getResultHandler

          public org.apache.thrift.async.AsyncMethodCallback<java.util.List<CfSplit>> getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb,
                                                                                                       int seqid)

      Specified by:
        `getResultHandler` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.describe_splits_ex_args,java.util.List<CfSplit>>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.describe_splits_ex_args,java.util.List<CfSplit>>`

    - #### start

          public void start(I iface,
                            Cassandra.describe_splits_ex_args args,
                            org.apache.thrift.async.AsyncMethodCallback<java.util.List<CfSplit>> resultHandler)
                     throws org.apache.thrift.TException

      Specified by:
        `start` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.describe_splits_ex_args,java.util.List<CfSplit>>`
      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation